{
  "extends": "@vue/tsconfig/tsconfig.web.json",
  // "include": ["env.d.ts", "src/**/*", "src/**/*.vue", "../common/src/stores/user", "../common/src/stores/user"],
  "include": [
    "src/**/*.ts",
    "src/**/*.d.ts",
    "src/**/*.tsx",
    "src/**/*.vue",
    "src/untils/baiduMap.js",
    "src/untils/debuonce.js",
    "**/*.ts",
    "**/*.tsx"
  ],
  "compilerOptions": {
    "ignoreDeprecations": "5.0",
    "target": "esnext",
    "module": "esnext",
    "strict": false,
    "jsx": "preserve",
    "moduleResolution": "node",
    "baseUrl": ".",
    "paths": {
      "@/*": ["./src/*"],
      "@common/*": ["../common/*"]
    },
    "isolatedModules": false,
    "sourceMap": true,
    "resolveJsonModule": true,
    "esModuleInterop": true,
    "lib": ["es5", "es6", "dom", "dom.iterable"],
    "allowSyntheticDefaultImports": true
  },
  "references": [
    {
      "path": "./tsconfig.node.json"
    }
  ]
}
